SplFileInfo::getGroup
SplFileInfo::getLinkTarget
SplFileInfo
PHP Manual

# SplFileInfo::getInode

(PHP 5 >= 5.1.2)

SplFileInfo::getInode — Gets the inode for the file

### Description

public int SplFileInfo::getInode ( void )

Gets the inode number for the filesystem object.

### Parameters

This function has no parameters.

### Return Values

Returns the inode number for the filesystem object.

### Errors/Exceptions

Throws RuntimeException on error.

### See Also

- fileinode() - Gets file inode

SplFileInfo::getGroup
SplFileInfo::getLinkTarget
SplFileInfo
PHP Manual